document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_7400
--- +++ @@ -2,25 +2,29 @@ # ----------------------------------------------------------------------------- # Info: -# Miroslav Vidovic -# check_process.sh -# 19.12.2016.-15:59:03 +# author: Miroslav Vidovic +# file: check_process.sh +# created: 19.12.2016.-15:59:03 +# revision: 12.02.2017. +#...
bash
d_bash_7401
--- +++ @@ -19,5 +19,5 @@ --job-id $JOB_NAME \ ${HASH_ARGS} \ --timestamp $(date +%s) \ - --info-url https://ci.centos.org/job/$JOB_NAME/$BUILD_ID/artifact/console.txt.gz \ + --info-url https://ci.centos.org/job/$JOB_NAME/$BUILD_ID/console.txt.gz \ --success $JOB_SUCCESS
bash
d_bash_7402
--- +++ @@ -1,43 +1,15 @@ #!/bin/bash set -euo pipefail - -if [[ $TRAVIS_BRANCH = "testall" ]] -then - testonly="--testonly" -else - testonly="" -fi if [[ $TRAVIS_OS_NAME = "linux" ]] then # run CentOS5 based docker container - docker run -e SUBDAG -e SUBDAGS -e TRAVIS_BRANCH -e TRAVIS_PULL_REQUEST -e...
bash
d_bash_7403
--- +++ @@ -3,11 +3,13 @@ # # Add at least the following environment variables to your project configuration # (otherwise the defaults below will be used). -# * PHANTOMJS_VERSION +# * PHANTOMJS_VERSION - Specify the version of PhantomJS +# * PHANTOMJS_HOST - Specify the location of the download for the specified v...
bash
d_bash_7404
--- +++ @@ -20,6 +20,6 @@ if [ "$TRAVIS_REPO_SLUG" = "bitcoin/bitcoin" -a "$TRAVIS_EVENT_TYPE" = "cron" ]; then git log --merges --before="2 days ago" -1 --format='%H' > ./contrib/verify-commits/trusted-sha512-root-commit - while read -r LINE; do travis_retry gpg --keyserver hkp://subset.pool.sks-keyserver...
bash
d_bash_7405
--- +++ @@ -12,5 +12,5 @@ then echo "cached chrome found" else - wget 'https://download-chromium.appspot.com/dl/Linux_x64?type=continuous' -O chrome.zip && unzip chrome.zip + wget 'https://download-chromium.appspot.com/dl/Linux_x64?type=snapshots' -O chrome.zip && unzip chrome.zip fi
bash
d_bash_7406
--- +++ @@ -1,4 +1,4 @@ -#!/bin/bash +#!/bin/sh # This script creates 64-bit release builds for OSX, Linux and Windows. It # requires Go to be set up for cross-compiling to these platforms. Some package @@ -9,23 +9,21 @@ set -e -release_dir=release -name=commitfmt -compress_cmd="zip -9 -m -T -D" +mkdir -p re...
bash
d_bash_7407
--- +++ @@ -14,4 +14,4 @@ fi mvn --settings .travis/settings.xml -B -U -Dmaven.test.skip=true clean package deploy:deploy -mvn scm-publish:publish-scm +mvn --settings .travis/settings.xml javadoc:javadoc scm-publish:publish-scm
bash
d_bash_7408
--- +++ @@ -24,7 +24,8 @@ pidfile '/app/current/tmp/pids/server-${RAILS_ENV}.pid' environment '${RAILS_ENV}' port ${SERVER_PORT} -workers 3 +workers 2 +worker_timeout 120 EOF -bundle exec puma -C ${puma} -t 8:32 +bundle exec puma -C ${puma} -t 4:32
bash
d_bash_7409
--- +++ @@ -10,9 +10,7 @@ sudo apt-get install -y unzip libxss1 curl -L -O "http://commondatastorage.googleapis.com/chromium-browser-snapshots/Linux_x64/$CHROME_REVISION/chrome-linux.zip" unzip chrome-linux.zip - curl -L -O https://chromedriver.googlecode.com/files/chromedriver_linux64_26.0.1383.0.zip - un...
bash
d_bash_7410
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash # Configure without tests -qmake -r MNECPP_CONFIG+=noTests +qmake -r MNECPP_CONFIG+=noExamples MNECPP_CONFIG+=noTests # Build make -j2
bash
d_bash_7411
--- +++ @@ -2,3 +2,4 @@ wget "colin-sullivan.net/media/uploads/2013/seas-of-subconscious/seas-of-subconscious-samples.zip" unzip seas-of-subconscious-samples.zip +rm seas-of-subconscious-samples.zip
bash
d_bash_7412
--- +++ @@ -23,17 +23,15 @@ export MANPATH=$ROOT/share/man:$MANPATH export INFOPATH=$ROOT/share/info:$INFOPATH -if [ $(ls -A $ROOT/opt) ]; then - LPATH='' - for pkg in $ROOT/opt/*; do - if [[ -d $pkg/bin ]]; then - LPATH+=:$pkg/bin - else - LPATH+=:$pkg - fi - done - export PATH=$PATH:$LPATH -fi +LPATH='' ...
bash
d_bash_7413
--- +++ @@ -4,5 +4,5 @@ homeshick clone basicdays/dotfiles homeshick cd dotfiles git remote set-url origin "git@github.com:basicdays/dotfiles.git" -git submodule update --init +git submodule update --init --recursive homeshick link dotfiles
bash
d_bash_7414
--- +++ @@ -34,7 +34,7 @@ case $1 in codestyle) - exec bin/fix-cs.sh + exec bin/fix-cs.sh --verbose ;; install) install
bash
d_bash_7415
--- +++ @@ -14,11 +14,11 @@ } function parse_git_dirty { - ! git diff-index --quiet HEAD -- && echo "*" + (! git diff-index --quiet HEAD -- 2> /dev/null) && echo "*" } function parse_git_stash { - local stash=`expr $(git stash list 2>/dev/null| wc -l)` + local stash=`expr $(git stash list 2> /dev/null | wc...
bash
d_bash_7416
--- +++ @@ -13,6 +13,6 @@ function prepend_datetime() { while read -r line; do - sed s/\\\\n// | echo "[`date +\"%Y-%m-%d %H:%M:%S%z\"`] $line" + echo "[`date +\"%Y-%m-%d %H:%M:%S%z\"`] $line" | sed s/\\\\n// done }
bash
d_bash_7417
--- +++ @@ -9,7 +9,7 @@ fi echo "git clone" -git clone -b batch-build-fix https://github.com/kost/moloch.git $BUILDDIR +git clone https://github.com/aol/moloch.git $BUILDDIR echo "cd to dir and build" cd $BUILDDIR USEPFRING=no ESMEM="512M" DONOTSTART=yes MOLOCHUSER=daemon GROUPNAME=daemon PASSWORD=0mgMolochDoc...
bash
d_bash_7418
--- +++ @@ -9,9 +9,11 @@ apt-get install bridge-utils -y fi - # Write the DNS options to the file. TODO: Check if this is obsolete in v0.8.0 + # Write the DNS options to the file. updateline /etc/dhcp/dhclient.conf "prepend domain-search" "prepend domain-search \"default.svc.$DNS_DOMAIN\",\...
bash
d_bash_7419
--- +++ @@ -3,7 +3,7 @@ #Install necessary packages sudo apt-get update -sudo apt-get install linux-image-extra-$(uname -r) linux-image-extra-virtual apt-transport-https ca-certificates curl software-properties-common +sudo apt-get -y install linux-image-extra-$(uname -r) linux-image-extra-virtual apt-transport-h...
bash
d_bash_7420
--- +++ @@ -10,6 +10,9 @@ echo "Make sure Cassandra is running on the host machine." +echo "Stopping Carbon Daemon server." +sudo -u www-data /opt/graphite/bin/carbon-daemon.py writer stop +sleep 2; echo "Starting Carbon Daemon server." sudo -u www-data /opt/graphite/bin/carbon-daemon.py writer start
bash
d_bash_7421
--- +++ @@ -4,4 +4,6 @@ export SHELLCHECK_OPTS="-e SC2059 -e SC2034 -e SC1090 -e SC2154" # Run linter -shellcheck "$@" +if type shellcheck &>/dev/null ; then + shellcheck "$@" +fi
bash
d_bash_7422
--- +++ @@ -12,7 +12,8 @@ TARGET_SITE="staging.wordspeak.org" elif [ "$1" = "prod" ]; then echo "Deploying to prod"; - ENCRYPTED_KEY="ci/prod-sync-id_rsa.enc" + #ENCRYPTED_KEY="ci/prod-sync-id_rsa.enc" + ENCRYPTED_KEY="ci/staging-sync-id_rsa.enc" TARGET_SITE="www.wordspeak.org" else echo "Unknown dep...
bash
d_bash_7423
--- +++ @@ -1,13 +1,27 @@ #!/bin/bash # This script downloads CIFAR-10 dataset to $PYLEARN2_DATA_PATH/cifar10 -set -e +#set -e [ -z "$PYLEARN2_DATA_PATH" ] && echo "PYLEARN2_DATA_PATH is not set" && exit 1 CIFAR10_DIR=$PYLEARN2_DATA_PATH/cifar10 + +which wget > /dev/null +WGET=$? +which curl > /dev/null +CURL=$? ...
bash
d_bash_7424
--- +++ @@ -9,9 +9,21 @@ : ${flags:="'-M' '-p'"} +# I often say 'git diff --cached -p' and get scolded by git-diff-files, but +# obviously I mean 'git diff --cached -p HEAD' in that case. +case "$rev" in +'') + case " $flags " in + *" '--cached' "*) + rev='HEAD ' + ;; + esac +esac + case "$rev" in ?*' '?*' '...
bash
d_bash_7425
--- +++ @@ -1,4 +1,7 @@ #!/bin/sh -x + +yum -y install ruby gems +gem install rake #Install Janus for the 'vagrant' user (cd to vagrant's homedir first so we're in the right spot for the script to run) echo "Installing Vim Janus for the 'vagrant' user..."
bash
d_bash_7426
--- +++ @@ -1,6 +1,7 @@ #! /bin/bash -export SDL_VIDEODRIVER=wayland +# Using the wayland video driver for SDL doesn't work +#export SDL_VIDEODRIVER=wayland export XDG_CURRENT_DESKTOP=sway export MOZ_ENABLE_WAYLAND=1 eval $(ssh-agent)
bash
d_bash_7427
--- +++ @@ -13,9 +13,14 @@ . /opt/ansible/bin/activate set -u -logtag=$(basename $SYS_ANSIBLE_PLAYBOOK)_$(date +%Y%m%d%H%M%S) +playbook=$(basename $SYS_ANSIBLE_PLAYBOOK) +timestamp=$(date +%Y%m%d%H%M%S) +logfile="/var/www/html/cron-logs/ansible_${playbook}_${timestamp}.log" cd $SYS_ANSIBLE_ROOT git pull ansi...
bash
d_bash_7428
--- +++ @@ -1,6 +1,6 @@ #!/usr/bin/env sh -NUM_TESTS=100 +NUM_TESTS=10 TRACE_FILE=/tmp/partisan-latest.trace COUNTEREXAMPLE_CONSULT_FILE=/tmp/partisan-counterexample.consult REBAR_COUNTEREXAMPLE_CONSULT_FILE=_build/test/rebar3_proper-counterexamples.consult
bash
d_bash_7429
--- +++ @@ -28,4 +28,4 @@ # Copy the files from the git repo into virtualhost # ##################################################### cd $HOME/RITcraft-Site -cp -r css/ fonts/ images/ js/ reports/ index.php sitemap.xml.gz status.class.php template.html $APACHEDIR +cp -r calendar/ css/ fonts/ images/ js/ reports/ i...
bash
d_bash_7430
--- +++ @@ -4,4 +4,5 @@ zstyle ':autocomplete:*' magic off zstyle ':autocomplete:*' fuzzy-search off zstyle ':autocomplete:*' key-binding off +# zstyle ':autocomplete:*' config off
bash
d_bash_7431
--- +++ @@ -44,5 +44,6 @@ echo "Starting tests..." coverage run manage.py test +coverage xml ./geodude.py echo "FIN"
bash
d_bash_7432
--- +++ @@ -1,4 +1,5 @@ -#!/bin/bash +# THESE SNIPPETS WERE USED BEFORE TURNING THEM INTO CHEF TEMPLATES, THEY MIGHT BE OUT OF DATE. + # Static, potentialy out of date script used for initial Raspberry Pi 2 B+ config # Inspired from docs here: # https://github.com/spark/shields/tree/master/photon-shields/program...
bash
d_bash_7433
--- +++ @@ -1,9 +1,10 @@ #!/bin/sh -echo "Downloading node v0.10.22..." -curl -s -O http://nodejs.org/dist/v0.10.22/node-v0.10.22-darwin-x64.tar.gz -tar -zxf node-v0.10.22-darwin-x64.tar.gz -export PATH=$PATH:$PWD/node-v0.10.22-darwin-x64/bin +echo "Downloading io.js..." +curl -s -o iojs.tar.gz https://iojs.org/di...
bash
d_bash_7434
--- +++ @@ -28,4 +28,4 @@ # Build libvpx ./configure --enable-pic --enable-experimental --enable-spatial-svc --enable-multi-res-encoding -make +make -j32
bash
d_bash_7435
--- +++ @@ -22,4 +22,4 @@ RUBY echo md5: "`md5sum *_buildpack-v*.zip`" sha256: "`sha256sum *_buildpack-v*.zip`" -echo md5: "`md5sum *_buildpack-cached-v*.zip`" sha256: "`sha256sum *_buildpack--cached-v*.zip`" +echo md5: "`md5sum *_buildpack-cached-v*.zip`" sha256: "`sha256sum *_buildpack-cached-v*.zip`"
bash
d_bash_7436
--- +++ @@ -18,7 +18,7 @@ then git clone https://github.com/apollographql/graphql-tools.git pushd graphql-tools - git reset --hard d3073987a4e00ed1bf59f709232e0a614f1b7edb + git reset --hard 90e37c477225e56edfacc9f2a1a8336c766de93b popd mv graphql-tools/src \ graphql-tools-src
bash
d_bash_7437
--- +++ @@ -1,5 +1,3 @@ #!/bin/bash -(cd wikiconv/ingest_revisions; bazel test --test_output=streamed ...) - (cd wikiconv/conversation_reconstruction; bazel test --test_output=streamed ...)
bash
d_bash_7438
--- +++ @@ -4,9 +4,10 @@ # # To use this script, simply run it from the top-level of this repo after updating # 'tasks/build-binary-new/php7-base-extensions.yml' and -# 'tasks/build-binary-new/php7-base-extensions.yml' as follows: +# 'tasks/build-binary-new/php7-base-extensions.yml' as follows, for each module +# ...
bash
d_bash_7439
--- +++ @@ -14,7 +14,7 @@ MakeDir ${DESTDIR_INCLUDE} LogExecute install -m 644 lib/.libs/libgtest.a ${DESTDIR_LIB}/ - if [ "${NACL_GLIBC}" = "1" ]; then + if [ "${NACL_SHARED}" = "1" ]; then LogExecute install -m 644 lib/.libs/libgtest.so* ${DESTDIR_LIB}/ fi
bash
d_bash_7440
--- +++ @@ -2,7 +2,7 @@ export PATH=/bin:/usr/bin:/usr/local/bin export ROOT=$(pwd) -export MAKEDIR="$ROOT/make/" +export MAKEDIR="$ROOT/workspace/" echo $HAKA_LUA $HAKA_BUILD
bash
d_bash_7441
--- +++ @@ -5,7 +5,7 @@ linux*) alias em='emacs' alias e='emacsclient -n' - alias E="SUDO_EDITOR=\"emacsclient -c -a emacs\" sudoedit" + alias E='SUDO_EDITOR="emacsclient" sudo -e' ;; darwin*) alias em='open -a emacs'
bash
d_bash_7442
--- +++ @@ -14,12 +14,13 @@ download_binary() { local version="$1" + local bin_name=$(binary_name $version) curl \ --location \ --silent \ --show-error \ - "https://github.com/BurntSushi/ripgrep/releases/download/$version/$(binary_name $version)" + "https://github.com/BurntSushi/ripgr...
bash
d_bash_7443
--- +++ @@ -25,7 +25,7 @@ [VERSION_UTILS_JS]="6.11.0" # Version of each platform's tutorials - [VERSION_TUTORIAL_JAVA]="6.10.0" + [VERSION_TUTORIAL_JAVA]="6.11.0" [VERSION_TUTORIAL_JS]="6.11.0" [VERSION_TUTORIAL_NODE]="6.11.0" )
bash
d_bash_7444
--- +++ @@ -7,6 +7,10 @@ echo '[-] Removing old database...' rm -f db.sqlite3 +if test -e "db.sqlite3"; then + echo '[!] Database could not be deleted'; + exit; +fi echo '[-] Applying Django migrations...' $python manage.py migrate 2>&1 | tee logs/$log_file.log
bash
d_bash_7445
--- +++ @@ -19,9 +19,6 @@ sudo apt install ninja-build sudo apt install libboost-dev sudo apt install python-pip - -# For some reason lit cannot be invoked after installing it like this. -# TODO: Figure out what's going on. -pip install lit +sudo pip install lit cmake -G Ninja .. -DCMAKE_BUILD_TYPE=Debug -DCMAK...
bash
d_bash_7446
--- +++ @@ -1,4 +1,4 @@ -#!/bin/bash +#!/usr/bin/env bash DOUT=misc/tmp_coqc_dash_o/ OUT=${DOUT}coqc_dash_o.vo
bash
d_bash_7447
--- +++ @@ -19,7 +19,7 @@ # Normalize our images via ImageMagick for filepath in **/*.png; do for i in $(seq 1 10); do - identify -verbose "$filepath" | grep signature > "$filepath.$i.sig" & + identify -format "%#" "$filepath" > "$filepath.$i.sig" & done done wait
bash
d_bash_7448
--- +++ @@ -25,7 +25,7 @@ branch_tag="${branch}" if [ "$branch" == "master" ]; then - branch_tag = "latest" + branch_tag="latest" fi date_tag="${branch}-${date}" docker build -t mozilla/balrog:${branch_tag} .
bash
d_bash_7449
--- +++ @@ -7,6 +7,8 @@ curl https://sh.rustup.rs -sSf | sh -s -- -y --no-modify-path fi +command_is_executable fish && fish -c "set -Ux fish_user_paths $HOME/.cargo/bin/cargo" + $HOME/.cargo/bin/cargo install \ cargo-watch \ cargo-edit \
bash
d_bash_7450
--- +++ @@ -12,11 +12,11 @@ echo "Updating bootloader..." /opt/scripts/tools/developers/update_bootloader.sh -uENV_path="/boot/uEnv.txt" -if [ -e "$uENV_path" ] -then - echo "Enabling eMMC flashing..." - sed -i '/init-eMMC-flasher-v3.sh/s/^#*//g' "$uENV_path" -else - echo "$uENV_path does not exist" -fi +# uEN...
bash
d_bash_7451
--- +++ @@ -6,6 +6,8 @@ for f in `ls blurbs`; do echo $f >> blurbs.txt + echo "----------------" >> blurbs.txt cat blurbs/$f >> blurbs.txt echo "" >> blurbs.txt + echo "" >> blurbs.txt done
bash
d_bash_7452
--- +++ @@ -14,7 +14,7 @@ fi SOURCE="${BASH_SOURCE[0]}" -DIR=$(dirname $SOURCE) +DIR="$(dirname $SOURCE)" go run -ldflags="-X main.VersionString=${version}" $DIR/template.go
bash
d_bash_7453
--- +++ @@ -16,6 +16,7 @@ for quota in $(oc get quota --no-headers | cut -f 1 -d ' '); do oc delete quota "${quota}" done +oc delete limitrange resource-limits for dir in "${dirs[@]}"; do pushd "${dir}" > /dev/null
bash
d_bash_7454
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash + +set -euxo pipefail sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test sudo apt-get -qq update
bash
d_bash_7455
--- +++ @@ -22,6 +22,7 @@ git rm -rf repository mkdir -p repository cp -rf ../com.codeaffine.extras.repository/target/repository/* ./repository + zip -r repository/eclipse-extras-repository.zip repository/* # add, commit and push files git add -f .
bash
d_bash_7456
--- +++ @@ -2,7 +2,7 @@ source token -FILE="/home/sergiu/SAVED_EVENTS" +FILE='SAVED_EVENTS' SAVED=$(cat $FILE)
bash
d_bash_7457
--- +++ @@ -1,3 +1,2 @@ #!/bin/bash -if [ -d $HOME/local/sbin/firefox3/firefox -no-remote -P Developer
bash
d_bash_7458
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash -if [[ "$(playerctl status)" == "Playing" ]]; then - echo "🎶 $(playerctl metadata title) - $(playerctl metadata artist)" +if [[ "$(playerctl -p spotify status)" == "Playing" ]]; then + echo "🎶 $(playerctl -p spotify metadata title) - $(playerctl -p spotify metadata artis...
bash
d_bash_7459
--- +++ @@ -17,6 +17,19 @@ BRANCHING=5 fi +function run_with { + local f="$1" # flags + echo ./configure $f + ./configure $f + make clean + make check + if [ $? -ne 0 ]; then + echo "Test run failed with following setup:" + echo "CC='$CC' CFLAGS='$CFLAGS' ./configure $f && make...
bash
d_bash_7460
--- +++ @@ -16,6 +16,7 @@ if git checkout ${COMMIT}; then echo "Commit found, skipping fetch." else + echo "Checking for commit in remotes..." git fetch --all git checkout ${COMMIT} fi
bash
d_bash_7461
--- +++ @@ -19,7 +19,7 @@ # Fail if there is a DONOTCOMMIT in one of the files to be committed for filename in $(git diff --cached --name-only | grep -F -v git-hooks); do - grep -F "DONOTCOMMIT" $filename > /dev/null 2>&1 + git diff --cached $filename | grep -F "DONOTCOMMIT" > /dev/null 2>&1 STATUS=$? if ...
bash
d_bash_7462
--- +++ @@ -5,4 +5,12 @@ -e "s|nexus-context-path=/|nexus-context-path=${CONTEXT_PATH}|g" \ /opt/sonatype/nexus/etc/org.sonatype.nexus.cfg +# Enable IPv6 support? +if [ -n "$IPv6" ] +then + VMOPTS=/opt/sonatype/nexus/bin/nexus.vmoptions + cp $VMOPTS /tmp/.vm + grep -v "java.net.preferIPv4Stack" /...
bash
d_bash_7463
--- +++ @@ -1,6 +1,6 @@ source common.sh -touch foo -t 222211111111 +touch foo -t 202211111111 # We only check whether 2222-11-1* **:**:** is the last modified date since # `lastModified` is transformed into UTC in `builtins.fetchTarball`. -[[ "$(nix eval --impure --raw --expr "(builtins.fetchTree \"path://$PWD/...
bash
d_bash_7464
--- +++ @@ -10,6 +10,7 @@ cabextract PowerPointViewer.exe cabextract ppviewer.cab +mkdir -p ${HOME}/Library/Fonts/ cp *.TTF ${HOME}/Library/Fonts/ rm -rf ${TMPDIR}
bash
d_bash_7465
--- +++ @@ -26,7 +26,7 @@ # Lint the Serverspec files printf "***\nChecking Serverspec...\n***\n" -rubocop spec +rubocop -d spec if [ $? -ne 0 ]; then RET_SUCCESS=1 fi
bash
d_bash_7466
--- +++ @@ -10,5 +10,5 @@ git remote remove origin git remote add origin git@github.com:adamcharnock/lightbus.git -git pull +git pull origin gh-pages mkdocs gh-deploy
bash
d_bash_7467
--- +++ @@ -1,8 +1,16 @@ #!/bin/sh -[ "$TRAVIS_REPO_SLUG" = grouplens/grapht ] || exit 0 -[ "$TRAVIS_BRANCH" = master ] || exit 0 -[ -z "$TRAVIS_PULL_REQUEST" ] || exit 0 -[ "$TRAVIS_JDK_VERSION" = oraclejdk8 ] || exit 0 +skip_unless() +{ + if ! [ "$@" ]; then + echo "condition" "$@" "failed, skipping" >...
bash
d_bash_7468
--- +++ @@ -13,5 +13,11 @@ for filename in "$1"*.torrent; do transmission-remote --authenv --add "$filename" - rm "$filename" + if [ $? -eq 0 ]; then + echo "Removing $filename" + rm "$filename" + else + echo "Retaining $filename" + fi + done
bash
d_bash_7469
--- +++ @@ -1,12 +1,9 @@ # Should this just be git clone emacs-calfw? -wget https://raw.githubusercontent.com/kiwanami/emacs-calfw/master/calfw-ical.el -wget https://raw.githubusercontent.com/kiwanami/emacs-calfw/master/calfw-org.el +wget https://raw.githubusercontent.com/kiwanami/emacs-calfw/master/calfw-ical.el -o...
bash
d_bash_7470
--- +++ @@ -5,7 +5,7 @@ pushd $PROJECT_DIR gem build go_cart.gemspec -for f in *.gem; do gem install $f; done +for f in *.gem; do gem install --local $f; done rm -rf *.gem popd
bash
d_bash_7471
--- +++ @@ -5,7 +5,7 @@ ARCH=$3 revision_build=$4 RELEASE_TOOLS=$(readlink -f $(dirname $0)) -jujud=$(find -path ./juju-build-$SERIES-amd64/juju-core-*/bin/jujud -type f) +jujud=$(find -path ./juju-build-$SERIES-$ARCH/juju-core-*/bin/jujud -type f) version=$(echo $jujud|sed -r "s/.\/juju-build-$SERIES-$ARCH\/juju...
bash
d_bash_7472
--- +++ @@ -3,8 +3,11 @@ # Install needed Apple/XCode CLI tools softwareupdate --all --install --force --install-rosetta -sudo rm -rf /Library/Developer/CommandLineTools -xcode-select --install +# NOTE: use of git requires xcode-select to be installed, so this step very +# likely not needed during bootstrap, as i...
bash
d_bash_7473
--- +++ @@ -2,8 +2,11 @@ export DM_ENVIRONMENT=${DM_ENVIRONMENT:="local"} -export DM_API_DOMAIN=${DM_API_DOMAIN:=http://localhost:5000} -export DM_SEARCH_API_DOMAIN=${DM_SEARCH_API_DOMAIN:=http://localhost:5001} +export DM_API_PORT=${DM_API_PORT:=5000} +export DM_SEARCH_API_PORT=${DM_SEARCH_API_PORT:=5001} + +ex...
bash
d_bash_7474
--- +++ @@ -19,8 +19,15 @@ } function post_install() { + # Create user and group getent group puppet &>/dev/null || addgroup -g 52 -S puppet; getent passwd puppet &>/dev/null || adduser -s /usr/bin/nologin -u 52 -D -S -h /var/lib/puppet puppet puppet; + + # Create base directory structure + mkd...
bash
d_bash_7475
--- +++ @@ -3,4 +3,4 @@ # This script uses docker so you don't have to have the cross # platform golang environment setup. Just make sure you have docker # installed. The built executables will be in build/ -docker run --rm -v "$PWD:/go/src/jp" -w /go/src/jp golang:1.4.2-cross ./build-all-platforms.sh +docker ru...
bash
d_bash_7476
--- +++ @@ -5,7 +5,4 @@ eval "$(env COMMANDLINE="${words[1,$CURRENT]}" globus --shell-complete ZSH)" fi } -if [[ "$(basename "${(%):-%x}")" != "_globus" ]]; then - autoload -U compinit && compinit - compdef _globus globus -fi +compdef _globus globus
bash
d_bash_7477
--- +++ @@ -1,12 +1,11 @@ #!/bin/bash -# 2012-Nov-05: Updated sandbox binary. This comment -# should make the script installed test fail. COUNT=`find . -name Makefile | wc -l` if [[ $COUNT -ne 1 ]] then - echo "Too many Makefiles in the directory tree." + echo "Need exactly 1 Makefile in directory tre...
bash
d_bash_7478
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash --rm dist themes site +rm dist themes site ln -s ../../frontend/components/lib/semantic-ui/dist dist ln -s ../../frontend/components/lib/semantic-ui/themes themes ln -s ../../frontend/components/lib/semantic-ui/src site
bash
d_bash_7479
--- +++ @@ -1,11 +1,11 @@ #!/bin/bash -set -ex +set -e cd cunnie-deployments bin/$IAAS.sh bosh create-env bosh-$IAAS.yml \ -l <(echo "$DEPLOYMENTS_YML") \ - -l <(wget -O- https://raw.githubusercontent.com/cunnie/sslip.io/master/conf/sslip.io%2Bnono.io.yml) + -l <(curl https://raw.githubusercontent.com/cunn...
bash
d_bash_7480
--- +++ @@ -14,9 +14,9 @@ log Making sure gcloud and kubectl are installed and up to date # gcloud components install kubectl -# gcloud components update +gcloud components update # gcloud version -# which gcloud kubectl +which gcloud kubectl log Authentication with gcloud and kubectl gcloud auth activate-se...
bash
d_bash_7481
--- +++ @@ -15,7 +15,7 @@ #apt-get install -y apt-transport-https #wget -qO - https://deb.packager.io/key | apt-key add - -#echo "deb https://deb.packager.io/gh/pkgr/gogs wheezy pkgr" | tee /etc/apt/sources.list.d/gogs.list +#echo "deb https://deb.packager.io/gh/pkgr/gogs $(lsb_release -cs) pkgr" | tee /etc/apt/s...
bash
d_bash_7482
--- +++ @@ -12,7 +12,7 @@ apt-get -y upgrade > /dev/null echo "Ensure required packages are installed" -apt-get install -y ssh git git-annex make curl jekyll > /dev/null +apt-get install -y sudo ssh git git-annex make curl jekyll > /dev/null # Create user travis with password "travis" useradd -m -p '$6$fwW6ZT...
bash
d_bash_7483
--- +++ @@ -5,13 +5,22 @@ test_version() { version=$1 - bash --login -c \ - "rvm install $version && rvm use $version && \ - which ruby && \ - gem install bundler && bundle && \ - rake test && \ - cd ../conformance && \ - make test_ruby" + if [ "$version" == "jruby" ] ; then + # No c...
bash
d_bash_7484
--- +++ @@ -4,6 +4,10 @@ # sh tests/test_docker.sh set -o errexit + +# Install modern pip to use new resolver: +# https://blog.python.org/2020/07/upgrade-pip-20-2-changes-20-3.html +pip install 'pip>=20.2' # install test requirements pip install -r requirements.txt @@ -20,7 +24,7 @@ sudo utility/install_os_d...
bash
d_bash_7485
--- +++ @@ -2,6 +2,9 @@ keyserver=keys.gnupg.net opscode_key_id=83EF826A distribution=$(lsb_release -sc) + +# fall back to natty for oneiric since there's no oneiric chef repo yet +[ $distribution = 'oneiric' ] && distribution='natty' echo 'Adding Opscode repo to sources.list.d...' cat <<EOS | sudo tee /etc/ap...
bash
d_bash_7486
--- +++ @@ -4,6 +4,8 @@ for i in lib/*.jar; do CLASSPATH=$CLASSPATH:$i done +export DITA_HOME=$PWD +source /opt/app/config/env.sh if [ -f /opt/app/RUNNING_PID ]; then rm /opt/app/RUNNING_PID
bash
d_bash_7487
--- +++ @@ -1,9 +1,10 @@ #!/bin/bash set -ev -sudo sh -c "echo 'deb http://download.opensuse.org/repositories/home:/tpokorra:/mono/xUbuntu_12.04/ /' >> /etc/apt/sources.list.d/mono-opt.list" +sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF -curl http://down...
bash
d_bash_7488
--- +++ @@ -4,6 +4,7 @@ source env/bin/activate env/bin/pip install -r requirements.txt cp /home/admin/website/app.db ./app.db +cp /home/admin/website/config.py ./config.py deactivate # Run Upstart/UWSGI sudo stop api-canary
bash
d_bash_7489
--- +++ @@ -37,4 +37,4 @@ OPTIONS="${OPTIONS} --disable-taglib --disable-mkv" fi -sh "$(dirname $0)"/../../../configure ${OPTIONS} $* CFLAGS="-march=pentium" +sh "$(dirname $0)"/../../../configure ${OPTIONS} $*
bash
d_bash_7490
--- +++ @@ -36,7 +36,7 @@ do for s in $(seq 64) do - $lein run -- -v $version -w $w > "$result_path/$version-w$w-s$s-i$i.txt" + $lein run -- -v $version -w $w -s $s > "$result_path/$version-w$w-s$s-i$i.txt" done done done
bash
d_bash_7491
--- +++ @@ -11,8 +11,6 @@ source $ZSH/oh-my-zsh.sh -source /usr/local/bin/aws_zsh_completer.sh - POWERLEVEL9K_PROMPT_ON_NEWLINE=true POWERLEVEL9K_DIR_HOME_FOREGROUND="white" POWERLEVEL9K_DIR_HOME_SUBFOLDER_FOREGROUND="white"
bash
d_bash_7492
--- +++ @@ -2,7 +2,7 @@ # Kubler phase 1 config, pick installed packages and/or customize the build # _packages="sys-apps/s6" -_entr_version="3.6" +_entr_version="3.8" # # This hook is called just before starting the build of the root fs
bash
d_bash_7493
--- +++ @@ -12,7 +12,7 @@ mesos_version=$(docker run --rm --entrypoint bash "${image}" -c "mesos-slave --version | tr -s ' ' | cut -d ' ' -f 2") # Get docker version from DOCKER_VERSION env variable -docker_version=$(docker run --rm --entrypoint bash "${image}" -c 'echo "${DOCKER_VERSION}" | cut -d "-" -f 1') +do...
bash
d_bash_7494
--- +++ @@ -4,5 +4,5 @@ else curl -L https://github.com/docker/compose/releases/download/1.7.1/docker-compose-`uname -s`-`uname -m` > docker-compose sudo mv docker-compose /usr/local/bin/docker-compose - sudo chmod +x /usr/bin/local/docker-compose + sudo chmod +x /usr/local/bin/docker-compose fi
bash
d_bash_7495
--- +++ @@ -1,4 +1,5 @@ -#!/bin/sh +#!/bin/bash + LOCALDIR=$3 REMOTESERVER=$1 REMOTEPATH=$2
bash
d_bash_7496
--- +++ @@ -13,11 +13,11 @@ # MEGAchat deps if [ "$1" == "--enable-chat" ]; then sh build-libevent2.sh +sh build-libws.sh # WebRTC deps if [ "$2" == "--enable-webrtc" ]; then sh build-expat.sh -sh build-libws.sh sh build-webrtc.sh fi
bash
d_bash_7497
--- +++ @@ -1 +1 @@ -swiftc rycooder.swift && cp rycooder /usr/local/bin/rycooder +/usr/bin/swiftc rycooder.swift && cp rycooder /usr/local/bin/rycooder
bash
d_bash_7498
--- +++ @@ -39,7 +39,7 @@ git flow release finish "${VERSION}" -rm -rf dist/* +rm -rf dist python setup.py sdist twine upload dist/*
bash
d_bash_7499
--- +++ @@ -1,13 +1,15 @@ #!/usr/bin/env bash -cat << EOF -Calling publish artefacts to GitHub Pages script. - -Reporters: - name: ${GH_USER_NAME} - email: ${GH_USER_EMAIL} - +echo -en $(cat << EOF +\e[1;33m\n +Publishing artefacts to GitHub Pages script.\n +\e[0m\n +Reporters:\n + name: ${GH_USER_NAME}\n + em...
bash